Page MenuHomePhabricator

MWContentSerializationException in Konkani Wikipedia (gomwiki)
Closed, ResolvedPublic

Description

Talk pages of user accounts created between 21 March 2016 and 4 January 2017 give the following error: "Fatal exception of type MWContentSerializationException"

For example, see https://gom.wikipedia.org/wiki/वापरपी_चर्चा:STACEY_MESQUITA

I suspect that this is related to T154623 and the activity in T131957 around 4-6 January 2017.


Spotted in production:

#0 /srv/mediawiki/php-1.30.0-wmf.1/includes/Revision.php(1100): Flow\Content\BoardContentHandler->unserializeContent(string, string)
#1 /srv/mediawiki/php-1.30.0-wmf.1/includes/Revision.php(1063): Revision->getContentInternal()
#2 /srv/mediawiki/php-1.30.0-wmf.1/includes/page/WikiPage.php(666): Revision->getContent(integer, NULL)
#3 /srv/mediawiki/php-1.30.0-wmf.1/extensions/Flow/includes/WorkflowLoaderFactory.php(77): WikiPage->getContent()
#4 /srv/mediawiki/php-1.30.0-wmf.1/extensions/Flow/includes/Actions/Action.php(105): Flow\WorkflowLoaderFactory->createWorkflowLoader(Title)
#5 /srv/mediawiki/php-1.30.0-wmf.1/extensions/Flow/includes/Actions/ViewAction.php(20): Flow\Actions\FlowAction->showForAction(string, OutputPage)
#6 /srv/mediawiki/php-1.30.0-wmf.1/extensions/Flow/includes/Actions/Action.php(50): Flow\Actions\ViewAction->showForAction(string)
#7 /srv/mediawiki/php-1.30.0-wmf.1/includes/MediaWiki.php(499): Flow\Actions\FlowAction->show()
#8 /srv/mediawiki/php-1.30.0-wmf.1/includes/MediaWiki.php(293): MediaWiki->performAction(Article, Title)
#9 /srv/mediawiki/php-1.30.0-wmf.1/includes/MediaWiki.php(862): MediaWiki->performRequest()
#10 /srv/mediawiki/php-1.30.0-wmf.1/includes/MediaWiki.php(523): MediaWiki->main()
#11 /srv/mediawiki/php-1.30.0-wmf.1/index.php(43): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include(string)
#13 {main}

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 31 2017, 3:56 PM

Change 357445 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/extensions/Flow@master] Revert "Throw when unserializing invalid Flow workflow metadata JSON"

https://gerrit.wikimedia.org/r/357445

I apologize for this. We were trying to prevent future corruption, but unintentionally worsened the situation for the existing pages.

Please file such bugs (major user impact, e.g. pages completely inaccessible with exceptions) as Unbreak Now, to make sure we see them.

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJun 6 2017, 8:43 PM

Change 357445 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Revert "Throw when unserializing invalid Flow workflow metadata JSON"

https://gerrit.wikimedia.org/r/357445

Change 357500 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/extensions/Flow@wmf/1.30.0-wmf.2] Revert "Throw when unserializing invalid Flow workflow metadata JSON"

https://gerrit.wikimedia.org/r/357500

Change 357501 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/extensions/Flow@wmf/1.30.0-wmf.4] Revert "Throw when unserializing invalid Flow workflow metadata JSON"

https://gerrit.wikimedia.org/r/357501

Change 357501 merged by jenkins-bot:
[mediawiki/extensions/Flow@wmf/1.30.0-wmf.4] Revert "Throw when unserializing invalid Flow workflow metadata JSON"

https://gerrit.wikimedia.org/r/357501

Change 357500 merged by jenkins-bot:
[mediawiki/extensions/Flow@wmf/1.30.0-wmf.2] Revert "Throw when unserializing invalid Flow workflow metadata JSON"

https://gerrit.wikimedia.org/r/357500

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-06-06T23:58:23Z] <thcipriani@tin> Synchronized php-1.30.0-wmf.4/extensions/Flow/includes/Content/BoardContentHandler.php: SWAT: [[gerrit:357501|Revert "Throw when unserializing invalid Flow workflow metadata JSON"]] T166100 T156813 (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2017-06-06T23:59:43Z] <thcipriani@tin> Synchronized php-1.30.0-wmf.2/extensions/Flow/includes/Content/BoardContentHandler.php: SWAT: [[gerrit:357500|Revert "Throw when unserializing invalid Flow workflow metadata JSON"]] T166100 T156813 (duration: 00m 43s)

This is deployed.

We still need to do the rest of the list above (including T154623: Workflow ID null for some user talk pages on gomwiki), but there should be no user impact at the time being.

Please reopen (leaving as UBN) if there is any user impact.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM